Package ru.bitel.bgbilling.common.bean

# Class BGAbstractTransaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction

All Implemented Interfaces:
  `Serializable`, `Idable`

Direct Known Subclasses:
  `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`, `Transaction`

public class BGAbstractTransaction extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGAbstractTransaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCardholderName()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `Date`
  `getCreateDate()`
  `String`
  `getPan()`
  `protected String`
  `getParameter(String parameters, String key)`
  `String`
  `getParameters()`
  `int`
  `getPaymentId()`
  `String`
  `getStatus()`
  `BigDecimal`
  `getSum()`
  `Date`
  `getTransactionDate()`
  `String`
  `getTransactionId()`
  `BGTransactionType`
  `getTransactionType()`
  `boolean`
  `isAutopayment()`
  `BGAbstractTransaction`
  `setAutopayment(boolean autopayment)`
  `BGAbstractTransaction`
  `setContractComment(String contractComment)`
  `BGAbstractTransaction`
  `setContractId(int contractId)`
  `BGAbstractTransaction`
  `setContractTitle(String contractTitle)`
  `BGAbstractTransaction`
  `setCreateDate(Date createDate)`
  `BGAbstractTransaction`
  `setParameters(String parameters)`
  `BGAbstractTransaction`
  `setPaymentId(int paymentId)`
  `BGAbstractTransaction`
  `setStatus(String status)`
  `BGAbstractTransaction`
  `setSum(BigDecimal sum)`
  `BGAbstractTransaction`
  `setTransactionDate(Date transactionDate)`
  `BGAbstractTransaction`
  `setTransactionId(String transactionId)`
  `BGAbstractTransaction`
  `setTransactionType(BGTransactionType transactionType)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BGAbstractTransaction

    public BGAbstractTransaction()

- ## Method Details

  - ### getCardholderName

    public String getCardholderName()

  - ### getContractComment

    public String getContractComment()

  - ### getContractId

    public int getContractId()

  - ### getContractTitle

    public String getContractTitle()

  - ### getCreateDate

    public Date getCreateDate()

  - ### getPan

    public String getPan()

  - ### getParameter

    protected String getParameter(String parameters, String key)

  - ### getParameters

    public String getParameters()

  - ### getPaymentId

    public int getPaymentId()

  - ### getStatus

    public String getStatus()

  - ### getSum

    public BigDecimal getSum()

  - ### getTransactionDate

    public Date getTransactionDate()

  - ### getTransactionId

    public String getTransactionId()

  - ### getTransactionType

    public BGTransactionType getTransactionType()

  - ### isAutopayment

    public boolean isAutopayment()

  - ### setAutopayment

    public BGAbstractTransaction setAutopayment(boolean autopayment)

  - ### setContractComment

    public BGAbstractTransaction setContractComment(String contractComment)

  - ### setContractId

    public BGAbstractTransaction setContractId(int contractId)

  - ### setContractTitle

    public BGAbstractTransaction setContractTitle(String contractTitle)

  - ### setCreateDate

    public BGAbstractTransaction setCreateDate(Date createDate)

  - ### setParameters

    public BGAbstractTransaction setParameters(String parameters)

  - ### setPaymentId

    public BGAbstractTransaction setPaymentId(int paymentId)

  - ### setStatus

    public BGAbstractTransaction setStatus(String status)

  - ### setSum

    public BGAbstractTransaction setSum(BigDecimal sum)

  - ### setTransactionDate

    public BGAbstractTransaction setTransactionDate(Date transactionDate)

  - ### setTransactionId

    public BGAbstractTransaction setTransactionId(String transactionId)

  - ### setTransactionType

    public BGAbstractTransaction setTransactionType(BGTransactionType transactionType)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`